I cannot install Plank on Linux Mint 17-could not find a distribution template for LinuxMint/qiana

September 4, 2014 | By | 3 Replies More

I was able to install Plank on my favorite Linux distribution such as Ubuntu, Xubuntu and some others. Today I am trying to install Plank on my Linux Mint 17 via PPA Repository of Plank. But, I cannot add the PPA to my system and got the following error after executing add-apt-repository command

plank error

dhani@dhani-min17 ~ $ sudo add-apt-repository ppa:ricotz/docky
Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 91, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)   
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for LinuxMint/qiana
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 138, in apport_excepthook
    os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0o640), ‘wb’) as f:
FileNotFoundError: [Errno 2] No such file or directory: ‘/var/crash/_usr_bin_add-apt-repository.0.crash’

Original exception was:
Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 91, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)   
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for LinuxMint/qiana

I thought it was because I haven’t installed python-software-properties. But the problem exist after I installed the python-software-properties on Linux Mint 17. Still looking around the web to find the solution.

Tags: , , , ,

Category: Linux Mint

Comments (3)

Trackback URL | Comments RSS Feed

  1. Sam01 says:

    same problem… still looking around…

  2. prokka says:

    Please try to change in “/etc/lsb-release”

    From
    DISTRIB_ID=LinuxMint
    DISTRIB_RELEASE=17
    DISTRIB_CODENAME=qiana
    DISTRIB_DESCRIPTION=”Linux Mint 17 Qiana”

    To
    DISTRIB_ID=Ubuntu
    DISTRIB_RELEASE=14.04
    DISTRIB_CODENAME=trusty
    DISTRIB_DESCRIPTION=”Linux Mint 17 Qiana”

    http://forums.linuxmint.com/viewtopic.php?f=56&t=85692

Leave a Reply